var express = require('express');//, controllers = require('./controllers');
var app = express.createServer(), path = __dirname;
app = require(path + '/config/configuration.js')(app,express,path);
var controllers = require('./controllers')(app);

// Routes
app.get ('/', controllers.index);
app.get ('/:controller.json', controllers.jsonrouter);
app.post('/:controller.json', controllers.jsonrouter);
app.put ('/:controller.json', controllers.jsonrouter);
app.del ('/:controller.json', controllers.jsonrouter);

app.error(function(err, req, res){ res.render('500',{error:err, title:'XRM: something went wrong'}); });
app.use  (function(req, res)     { res.render('404',{title:'XRM: Page not found'}); });
app.listen(3000);

console.log("server port %d in %s mode", app.address().port, app.settings.env);
console.log('To debug use: nodemon --debug app.js');
console.log('and go to http://localhost:8080/debug?port=5858');
