var mongoose = require('mongoose');
var mongodb = require('mongoose/node_modules/mongodb').connect;

module.exports = function(app) {
  return {
    index: function(req, res, next) {
      mongodb(app.set('db-uri'), function(err, db) {
        if(err) { console.log(err); }
        db.collectionNames(function(err, names){ // what I was looking for
          if(err) { console.log(err); }
          for (var i in names) {
            names[i].name = names[i].name.split('.').slice(1).join('.');
          }
          res.render('index', { title:'XRM main page', names:names });
          db.close();
        });
      });
    },
    jsonrouter: function(req, res, next) {
      var controller = req.params.controller ? req.params.controller : '';
      var method = req.method.toLowerCase();
      if (method=='get') {
        mongodb(app.set('db-uri'), function(err, db) {
          if(err) { console.log(err); }
          db.collection(controller, function (err, collection) {
            if(err) { console.log(err); }
            collection.find().toArray(function(err,docs) {
              if(err) { console.log(err); }
              res.end(JSON.stringify(docs));
            });
          });
        });
      } else {
        res.end('--> controllerLib;method='+method+';controller='+controller);
      }
    }
  }
}

